
Redmine - Defect #24308

Allow Journal to return empty Array instead nil in Journal#attachments

2016-11-09 14:54 - Roman Shipiev

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed Affected version:  

Description

If we journalize objects without #attachments then take exception (TypeError: no implicit conversion of nil into Array) in

app/helpers/application_helper.rb

  def parse_inline_attachments(text, project, obj, attr, only_path, options)

    ...

    attachments += obj.attachments if obj.respond_to?(:attachments)

    ...

  end

Associated revisions

Revision 15957 - 2016-11-18 09:41 - Jean-Philippe Lang

Allow Journal to return empty Array instead nil in Journal#attachments (#24308).

Patch by Roman Shipiev.

History

#1 - 2016-11-09 14:55 - Roman Shipiev

- File 24308.patch added

#2 - 2016-11-18 09:43 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.4.0

- Resolution set to Fixed

Patch committed, thanks.

Files

24308.patch 423 Bytes 2016-11-09 Roman Shipiev
